Get an account
curl --request GET \
--url https://api.clipstake.com/v1/accounts/{account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clipstake.com/v1/accounts/{account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clipstake.com/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "acct_3f9c0a1b2c3d4e5f60718293",
"platform": "instagram",
"platform_user_id": "17841400008460056",
"username": "acme.studio",
"external_user_id": "customer_8f3a2c19",
"connection": {
"status": "active"
},
"tracking": {
"status": "active",
"parked_reason": null,
"next_read_at": "2026-09-15T02:00:00.000Z"
},
"capabilities": [
"media_stats",
"media_comments",
"media_demographics",
"account_insights",
"account_audience"
],
"metadata": {
"segment": "creator"
},
"latest_as_of": "2026-09-14T00:00:00.000Z",
"connected_at": "2026-09-10T14:22:18.000Z",
"created_at": "2026-09-10T14:22:18.000Z"
}{
"error": {
"code": "invalid_request",
"message": "The request body or parameters are invalid.",
"request_id": "req_01K5A7N8QY2M4C6V9X3J"
}
}{
"error": {
"code": "unauthorized",
"message": "Provide a valid API key.",
"request_id": "req_01K5A7P2CH8T6R4W9M1B"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"request_id": "req_01K5A7R4WM9C2N6B8X3D"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "req_01K5A7S6FQ3V8H2N9C4M"
}
}Accounts
Get an account
GET
/
accounts
/
{account_id}
Get an account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account ID. Format: acct_ followed by 24 lowercase hexadecimal characters.
Example:
"acct_2b4b06ac31e358b242694941"
Response
Successful response
Pattern:
^acct_[0-9a-f]{24}$Platform identifier. Known value: instagram.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Data this kind of connection can read. It does not prove that data exists for this account: check the data's own captured_at. Known values: media_stats, media_comments, media_demographics, account_insights, account_audience.
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$